<div class="w-full flex space-x-10">
  <div class="flex flex-col w-1/3">
    <div class="w-full rounded border border-gray-200">
      <img
        alt="ecommerce"
        class="w-full object-cover object-center"
        [src]="cover()"
        />
    </div>
    <div class="flex items-center justify-center mt-1">
      <div class="grid grid-cols-3 gap-1">
        @for (img of product()?.images; track img) {
          <img
            alt="ecommerce"
            class="object-cover object-center rounded border-2 border-gray-200"
            [src]="img"
            (click)="changeCover(img)"
            [class.border-red-400]="img === cover()"
            />
        }
      </div>
    </div>
  </div>
  <div class="mt-5 w-full">
    <h2 class="text-sm title-font text-gray-500 tracking-widest">
      {{ product()?.category?.name | uppercase }}
    </h2>
    <h1 class="text-gray-900 text-3xl title-font font-medium mb-1">
      {{ product()?.title }}
    </h1>
    <p class="leading-relaxed">
      {{ product()?.description }}
    </p>
    <p class="title-font font-medium text-2xl text-gray-900 mt-5">
      {{ product()?.price | currency : "$" : "symbol" : "1.0" }}
    </p>
    <button
      (click)="addToCart()"
      class="flex text-white bg-red-500 border-0 py-2 px-6 focus:outline-none hover:bg-red-600 rounded"
      >
      Add To Cart
    </button>
  </div>
</div>
